> For the complete documentation index, see [llms.txt](https://docs.invitelogger.me/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.invitelogger.me/pbi/features/specific-features.md).

# Specific features

A non-exhaustive list about private bot instances special features

### Export command

The export command exports the leaderboard as a large and complete json file. You can find an example [here](https://haste.chaun14.fr/naladoxoji.json). Useful when you have to give automatically a reward based on invites outside your server.

```json
[
    {
        "id": "DISCORD USERID",
        "tag": "USERNAME#0000",
        "username":"USERNAME",
        "discriminator": "0000",
        "rank": USERRANK (INT),
        "maxRank": TOTAL LEADERBOARD RANK (INT),
        "valid": AMOUNT OF VALID INVITES (INT),
        "bonuses": AMOUNT OF BONUSES INVITES (INT),
        "fake": AMOUNT OF INVALIDATED INVITES (INT),
        "leave": AMOUNT OF INVITED WITH LEFT MEMBER (INT),
        "total": valid + bonuses + fake + leave (INT)
    }
]

```

![](https://1233429419-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MW_7KWGOtXaonSVC9Jd%2Fuploads%2FyjqsPB3m5mUX2VfuDVGP%2Fimage.png?alt=media\&token=7066c3fb-ac0c-462f-a08c-0f37fa8e0745)

### Ranks system

With a private bot instance, the role reward feature is enabled, to use with caution.

{% hint style="warning" %}
This system has been removed from the main bot due to some abuses against discord [TOS](https://discord.com/tos) and [guidelines](https://discord.com/guidelines). You MUST respect them to avoid your bot/server/account getting banned.
{% endhint %}

{% tabs %}
{% tab title="/ranks" %}
![](https://1233429419-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MW_7KWGOtXaonSVC9Jd%2Fuploads%2FY29y7Awdy0vFFaPSdiQW%2Fimage.png?alt=media\&token=a97f5080-477f-4144-880c-09ccd58c3ba8)
{% endtab %}

{% tab title="/addrank" %}
![](https://1233429419-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MW_7KWGOtXaonSVC9Jd%2Fuploads%2FQr5eNhmg6AUMIRjFZlxC%2Fimage.png?alt=media\&token=c9269ac7-76d1-4464-9089-6d34e81a74cb)

Once a rank is added you have to refresh current members roles using `/refreshranks all` command
{% endtab %}

{% tab title="/rankConfig" %}
![](https://1233429419-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MW_7KWGOtXaonSVC9Jd%2Fuploads%2FEnR7hjolb39dnVmU5JVY%2Fimage.png?alt=media\&token=89cad4e9-9871-4c39-b9d6-c15fb044fd02)
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.invitelogger.me/pbi/features/specific-features.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
